package com.boman.web.core.service.bomanMessageReceive;

import com.boman.domain.dto.AjaxResult;

/**
 * @author tjf
 * @Date: 2021/07/06/15:29
 */
public interface IBomanMessageReceiveService {

    /**
     * 根据发文id查询出该发文所选人员名称和部门
     * @param messageId
     * @return
     */
    AjaxResult getUserNameAndDeptName(String messageId);

    /**
     * 小程序首页统计
     * @param userId
     * @return
     */
    AjaxResult getIndexInfo(String userId);

    /**
     * 功能描述: 根据messageId撤回消息
     *
     * @param messageId messageId
     * @return int
     */
    int withdrawByMessageId(Long messageId);

    /**
     * 功能描述: 读取发文和未读取发文的人数统计
     *
     * @param messageId messageId
     * @return com.boman.domain.dto.AjaxResult
     */
    AjaxResult statisticRecieve(Long messageId);
}
